pkg-rocm-tools (0.9.6ubuntu4~26.04.1) resolute; urgency=medium

  * resolute: add gfx950 into the targets (LP: #2159601)

 -- Talha Can Havadar <talha.can.havadar@canonical.com>  Sun, 05 Jul 2026 23:12:21 +0200

pkg-rocm-tools (0.9.6ubuntu3) resolute; urgency=medium

  * rocm-target-arch: check /etc/os-release for target listing on ubuntu.
    To list the correct targets for packages synced directly from debian
    from unstable or experimental use ubuntu-devel list which would be
    linked to proper dist file. (LP: #2146822)
  * d/control: add missing dpkg-dev dependency.
    As rocm-target-arch uses dpkg-parsechangelog which is being shipped by
    dpkg-dev package
  * d/t/{rocm-target-arch-{experimental,unstable}}: add new tests.
    Adding autopkgtest to make sure the functionality we have protected so
    making introducing unintended regressions harder
  * data/build-targets: add symlink from ubuntu-devel to resolute which would
    allow us to properly render target list for packages directly synced from
    debian to ubuntu archive.

 -- Talha Can Havadar <talha.can.havadar@canonical.com>  Thu, 02 Apr 2026 10:26:51 +0200

pkg-rocm-tools (0.9.6ubuntu2) resolute; urgency=medium

  * update build-targets for resolute (LP: #2143315)
    Adding new ISAs:
     - gfx908
     - gfx1101
    Removing:
     - gfx11-generic
    As the *-generic ISAs are not officially supported by upstream and the
    current version of rocblas in the stack requires patches to have
    support for these, we need to remove them until then. Once we have this
    support added we can re-add generic targets but unfortunately not today.

 -- Talha Can Havadar <talha.can.havadar@canonical.com>  Tue, 17 Mar 2026 19:18:39 +0100

pkg-rocm-tools (0.9.6ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable (LP: #2142798). Remaining changes:
    [ Tim Flink ]
    - created targets file for Ubuntu resolute
    - initial targets: gfx90a, gfx942, gfx1030, gfx1100, gfx1151, gfx1200,
      gfx1201
    [ Talha Can Havadar ]
    - add gfx11-generic for build targets. (LP #2138457)
      + Compile generic code for GFX11 devices, executable on gfx1100, gfx1101,
      gfx1102, gfx1103, gfx1150, gfx1151, gfx1152, and gfx1153.

 -- Talha Can Havadar <talha.can.havadar@canonical.com>  Thu, 26 Feb 2026 10:37:32 +0100

pkg-rocm-tools (0.9.6) unstable; urgency=medium

  * Fix rocm-qemu-run core counting for non-amd64 platforms
    This led to a FBTFS on non-amd64 because the output of /proc/cpuinfo
    apparently isn't uniform.
  * Run shfmt on all scripts
  * Mark bin:pkg-rocm-tools as Multi-Arch: foreign
  * Bump Standards-Version to 4.7.3
    - Drop Priority: optional, it's the dpkg default since trixie
  * Install rocm-target-arch man page

 -- Christian Kastner <ckk@debian.org>  Thu, 22 Jan 2026 22:59:15 +0100

pkg-rocm-tools (0.9.5ubuntu1) resolute; urgency=medium

  * add gfx11-generic for build targets. (LP: #2138457)
    - Compile generic code for GFX11 devices, executable on gfx1100, gfx1101,
    gfx1102, gfx1103, gfx1150, gfx1151, gfx1152, and gfx1153.

 -- Talha Can Havadar <talha.can.havadar@canonical.com>  Fri, 02 Jan 2026 00:47:54 +0100

pkg-rocm-tools (0.9.5) unstable; urgency=medium

  [ Tim Flink ]
  * allow -h/--help to work without d/changelog

 -- Christian Kastner <ckk@debian.org>  Wed, 10 Dec 2025 23:17:28 +0100

pkg-rocm-tools (0.9.4ubuntu1) resolute; urgency=medium

  * created targets file for Ubuntu resolute
  * initial targets: gfx90a, gfx942, gfx1030, gfx1100, gfx1151, gfx1200,
    gfx1201

 -- Tim Flink <Tim.Flink@amd.com>  Wed, 26 Nov 2025 09:41:44 -0700

pkg-rocm-tools (0.9.4) unstable; urgency=medium

  [ Tim Flink ]
  * add gfx1151, gfx1200, gfx1201 to experimental's build targets

 -- Christian Kastner <ckk@debian.org>  Tue, 11 Nov 2025 22:40:14 +0100

pkg-rocm-tools (0.9.3) unstable; urgency=medium

  * Drop gfx1201 from experimental's build targets.
    The default toolchain, using LLVM-17, cannot build for this target yet.
  * GPU support: Fall back to Debian unstable.
    We don't know what GPUs a downstream might want to support, but in the
    absence of explicit information by a downstream, it seems reasonable to
    default on what Debian unstable supports.
  * dists: Make unstable a link to sid
  * rocm-target-arch: Change reduction to not-by-default

 -- Christian Kastner <ckk@debian.org>  Tue, 30 Sep 2025 21:32:59 +0200

pkg-rocm-tools (0.9.2) unstable; urgency=medium

  [ Cordell Bloor ]
  * Add gfx1201 to experimental build targets

 -- Christian Kastner <ckk@debian.org>  Sun, 14 Sep 2025 22:14:27 +0200

pkg-rocm-tools (0.9.1) unstable; urgency=medium

  [ Christian Bayle ]
  * Add some podman examples

  [ Kentaro Hayashi ]
  * Fix "No such file or directory" without IOMMU

  [ Christian Kastner ]
  * Initialize forky build-targets as copy of trixie

 -- Christian Kastner <ckk@debian.org>  Thu, 04 Sep 2025 22:45:36 +0200

pkg-rocm-tools (0.9.0) unstable; urgency=medium

  * Upload to unstable.

 -- Christian Kastner <ckk@debian.org>  Wed, 27 Aug 2025 17:49:03 +0200

pkg-rocm-tools (0.9.0~exp3) experimental; urgency=medium

  * Convert rocm-target-arch to package build helper only.
    The --for-build option was too ambiguous and confusing. Instead of
    having one tool solve both package build and user problems, limit this
    tool to a package build utility that can only be called from within an
    unpacked source.
  * Add a --no-reduce option for supressing list reduction
  * Bump Standards-Verion to 4.7.2 (no changes needed)

 -- Christian Kastner <ckk@debian.org>  Sat, 09 Aug 2025 07:36:03 +0200

pkg-rocm-tools (0.9.0~exp2) experimental; urgency=medium

  * Rename rocm-target-isa -> rocm-target-arch
  * rocm-target-arch: more checks for --for-build
  * Rename d/control field to X-ROCm-GPU-Architecture

 -- Christian Kastner <ckk@debian.org>  Sun, 06 Jul 2025 22:29:25 +0200

pkg-rocm-tools (0.9.0~exp1) experimental; urgency=medium

  * Add rocm-target-isa utility
  * Correct typo in bug number of previous changelog entry

 -- Christian Kastner <ckk@debian.org>  Thu, 26 Jun 2025 17:05:59 +0200

pkg-rocm-tools (0.8.2) unstable; urgency=medium

  [ Chris Lamb ]
  * Make build reproducible (Closes: #1098945)

  [ Christian Kastner ]
  * Adjust dependency for deprecated qemu-user-static

 -- Christian Kastner <ckk@debian.org>  Fri, 14 Mar 2025 17:09:35 +0100

pkg-rocm-tools (0.8.1) unstable; urgency=medium

  * Upload to unstable.

 -- Christian Kastner <ckk@debian.org>  Tue, 25 Feb 2025 08:52:33 +0100

pkg-rocm-tools (0.8.1~exp1) experimental; urgency=medium

  * First release to the official Archive.

 -- Christian Kastner <ckk@debian.org>  Thu, 24 Oct 2024 21:48:43 +0200

pkg-rocm-tools (0.8.0) unstable; urgency=medium

  * Rename project to pkg-rocm-tools.
    This mirrors similar packages already in the archive:
      - pkg-haskell-tools
      - pkg-js-tools
      - pkg-kde-tools
      - pkg-perl-tools
  * Add package pkg-rocm-tools
  * Bump autopkgtest dependency to 5.38+rocm2
  * Add missing ${python3:Depends} to utilities using Python
  * Bump copyrights

 -- Christian Kastner <ckk@debian.org>  Sat, 19 Oct 2024 12:23:08 +0200

rocm-dev-tools (0.7.7) unstable; urgency=medium

  * podman: Fix Ubuntu tag names

 -- Christian Kastner <ckk@debian.org>  Wed, 16 Oct 2024 11:48:20 +0200

rocm-dev-tools (0.7.6) unstable; urgency=medium

  * Factor out debci-scheduler into a standalone package
    https://salsa.debian.org/rocm-team/debci-scheduler
  * rocm-podman-create: Add support for Ubuntu releases
  * Document that -create/-run should be preceded by -setup

 -- Christian Kastner <ckk@debian.org>  Sun, 13 Oct 2024 13:39:11 +0200

rocm-dev-tools (0.7.5) unstable; urgency=medium

  * rocm-qemu-create:
    - Update for newer OVMF
      trixie and above only ship the 4M versions of the firmware.
    - Add support for Ubuntu releases
    - Improve GRUB boot menu handling

 -- Christian Kastner <ckk@debian.org>  Fri, 20 Sep 2024 17:37:14 +0200

rocm-dev-tools (0.7.4) unstable; urgency=medium

  * scheduler: Wait for binaries with version matching source
  * rocm-qemu-setup: Allow for wildcards in limits.conf
  * rocm-qemu-create: Drop bashism in modscript, which broke the
    installation of custom kernels
  * qemu+rocm: Documentation fixes

 -- Christian Kastner <ckk@debian.org>  Fri, 13 Sep 2024 21:49:24 +0200

rocm-dev-tools (0.7.3) unstable; urgency=medium

  * debci-scheduler: Implement new configuration handling.
    Rather than relying on two hacky files, use one slightly less hacky
    deb822 file.

 -- Christian Kastner <ckk@debian.org>  Sun, 24 Mar 2024 13:05:47 +0100

rocm-dev-tools (0.7.2) unstable; urgency=medium

  * debci-scheduler: Enable loading of alternative configurations
  * debci-scheduler: Detect conflicted APT state. Packages in such a state
    will be skipped and checked again in future runs.

 -- Christian Kastner <ckk@debian.org>  Wed, 06 Mar 2024 19:31:54 +0100

rocm-dev-tools (0.7.1) unstable; urgency=medium

  * scheduler: wantfile: Add ability to track binary packages.

 -- Christian Kastner <ckk@debian.org>  Sun, 14 Jan 2024 17:45:26 +0100

rocm-dev-tools (0.7.0) unstable; urgency=medium

  * debci-scheduler: Substantial refactoring
    - Implement scheduling for additive distributions, like experimental
    - Factor out and pre-load all caches
    - Factor out dependency collection
    - Factor out reverse dependency collection
    - Rename suite_bases
    - Implement debci config parsing in own class
    - Move VersionDB into DebCITestScheduler
    - Get rid of the loop over distribution
    - Encapsulate test parameters in a dataclass
    - When checking for queued jobs, take pin_package into account
    - Rework triggers/test parameters
    - Logging improvements
  * debci-scheduler: APT: Explicitly set Dir::state::status.
    Without this, the system /var/lib/dpkg/status file is used, which screws
    up version lookup logic. Oddly enough, this bug never seems to have
    manifested itself on ci.rocm.debian.net, at least not in an obvious way.

 -- Christian Kastner <ckk@debian.org>  Sat, 06 Jan 2024 19:49:49 +0100

rocm-dev-tools (0.6.1) unstable; urgency=medium

  * debci-scheduler: Report on what originally triggered a test.
    In case of transitive reverse dependencies, the original trigger of the
    first package in the chain is recorded.

 -- Christian Kastner <ckk@debian.org>  Mon, 18 Dec 2023 19:47:42 +0100

rocm-dev-tools (0.6.0) unstable; urgency=medium

  * debci-scheduler: transitive dependency support
    If a scheduled reverse dependency of a wantlist package is also on the
    wantlist, then its reverse dependencies will also be scheduled, and so on,
    until non-wantlist packages are hit.
  * debci-scheduler:
    - Drop backend as an option. This needs to be hard-coded per GPU
      architecture
    - Memoize expensive function calls
    - Fix typo in column default value
    - Logging fixes
    - Drop stray restart()
    - Fix use of source_pkg

 -- Christian Kastner <ckk@debian.org>  Mon, 11 Dec 2023 19:15:18 +0100

rocm-dev-tools (0.5.1) unstable; urgency=medium

  * podman+rocm: Add check for /etc/subuid

 -- Christian Kastner <ckk@debian.org>  Sat, 02 Dec 2023 17:49:54 +0100

rocm-dev-tools (0.5.0) unstable; urgency=medium

  * New major release with significant improvements to debci-scheduler:
    - Trigger tests on dependency changes
    - Add ability to trigger on arbitrary packages
    - Add ability to ignore certain dependencies
    - Integrate with the official debci database
    - Don't re-queue if the same test is already pending
    - Code refactoring
  * Minor changes to debci-scheduler
    - Rewrite locking to check wantfile
    - Get rid of the URI
  * qemu+rocm: Improve BIOS hints

 -- Christian Kastner <ckk@debian.org>  Tue, 21 Nov 2023 19:48:24 +0100

rocm-dev-tools (0.4.9) unstable; urgency=medium

  * qemu: Get multi-GPU VMs to run again.
    This doesn't necessarily make the GPUs usable yet, but the VM boots.
  * qemu+rocm: Add TODO checks for virtualization features in BIOS
  * debci-scheduler: Fix typo causing NameError
  * rocm-qemu-run: Catch up with changes to qemu+rocm

 -- Christian Kastner <ckk@debian.org>  Sun, 12 Nov 2023 08:49:51 +0100

rocm-dev-tools (0.4.8) unstable; urgency=medium

  * debci-scheduler: Use consistent naming
    Normally this would require a postinst script, but the only installation
    this is running on can be fixed manually and spare that.
  * qemu: Fix misrecognized 'Display controller' class
  * debci-scheduler: Fix testing in experimental through package pinning
  * Add help2man to Build-Depends
  * d/rules: Generate man pages using help2man

 -- Christian Kastner <ckk@debian.org>  Mon, 30 Oct 2023 10:53:50 +0100

rocm-dev-tools (0.4.7) unstable; urgency=medium

  * qemu: Add pass-through support for the Display controller device class

 -- Christian Kastner <ckk@debian.org>  Sat, 14 Oct 2023 14:50:57 +0200

rocm-dev-tools (0.4.6) unstable; urgency=medium

  * qemu: Drop multi-GPU restriction
  * qemu: Improve documentation

 -- Christian Kastner <ckk@debian.org>  Sat, 14 Oct 2023 10:03:49 +0200

rocm-dev-tools (0.4.5) unstable; urgency=medium

  * debci-scheduler: Check against all versions of a source package.
    There can be more than one version of a source package in a
    distribution, so we need to check all of them for an update.

 -- Christian Kastner <ckk@debian.org>  Mon, 28 Aug 2023 19:15:47 +0200

rocm-dev-tools (0.4.4) unstable; urgency=medium

  * debci-scheduler: Add architecture to tracked versions.
  * Update README

 -- Christian Kastner <ckk@debian.org>  Sun, 27 Aug 2023 10:06:18 +0200

rocm-dev-tools (0.4.3) unstable; urgency=medium

  * qemu: Use newer autopkgtest fork.
    Option was renamed there, in preparation for upstream merge.

 -- Christian Kastner <ckk@debian.org>  Wed, 16 Aug 2023 18:21:33 +0200

rocm-dev-tools (0.4.2) unstable; urgency=medium

  * qemu: cd back to initial directory after doing prep work.
    Otherwise `autopkgtest -B *.deb *.dsc` fails.

 -- Christian Kastner <ckk@debian.org>  Tue, 15 Aug 2023 16:21:13 +0200

rocm-dev-tools (0.4.1) unstable; urgency=medium

  * debci-scheduler:
    - Schedule a job at most once
    - Factor out extra-apt-sources
    - Log packages for which we cannot find the source
    - Add (simple) concurrent execution prevention

 -- Christian Kastner <ckk@debian.org>  Tue, 08 Aug 2023 19:25:36 +0200

rocm-dev-tools (0.4) unstable; urgency=medium

  * debci-scheduler:
    - Drop support for multiple distributions in APT cache
    - Always restart() before a lookup()
    - Add method to find source rdeps
    - Trigger tests or reverse dependencies
    - Add support for scheduling "additive" distributions
      See debci_3.7+rocm3

 -- Christian Kastner <ckk@debian.org>  Mon, 07 Aug 2023 00:13:44 +0200

rocm-dev-tools (0.3) unstable; urgency=medium

  * Add package: debci-scheduler.
  * qemu: Use realpath on image.

 -- Christian Kastner <ckk@debian.org>  Fri, 04 Aug 2023 20:09:49 +0200

rocm-dev-tools (0.2) unstable; urgency=medium

  * qemu: Add support for specifying which GPUs to pass through.
    - autopkgtest-virt-qemu: new option --gpu
    - rocm-qemu-run: new option -g
    - Note that multi-GPU pass-through is still untested, and therefore
    disabled for now
  * qemu: Use 75% of host cores and memory by default
  * Add -h/usage to the autopkgtest backends
  * Minor doc fixes

 -- Christian Kastner <ckk@debian.org>  Sat, 22 Jul 2023 19:08:54 +0200

rocm-dev-tools (0.1) unstable; urgency=medium

  * Initial release.

 -- Christian Kastner <ckk@debian.org>  Thu, 20 Jul 2023 09:21:10 +0200
